﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace KonverterKliens
{
  public partial class frmFőablak : Form
  {
    private KonverterSzerver.KonverterSoapClient Konverter;
    public frmFőablak()
    {
      InitializeComponent();
      Konverter = new KonverterKliens.KonverterSzerver.KonverterSoapClient();
    }

    private void btC2F_Click(object sender, EventArgs e)
    {
      try
      {
        double Celsius = double.Parse(tbCelsius.Text);
        double Fahrenheit =
          Konverter.Celsius2Fahrenheit(Celsius);
        tbFahrenheit.Text = Fahrenheit.ToString();
      }
      catch (FormatException)
      {
        MessageBox.Show("A megadott adat hibás!");
      }
      catch (System.Net.WebException we)
      {
        MessageBox.Show(we.Message);
      }   

    }

    private void btF2C_Click(object sender, EventArgs e)
    {
      try
      { double Fahrenheit = double.Parse(tbFahrenheit.Text);
        double Celsius = 
          Konverter.Fahrenheit2Celsius(Fahrenheit);
        tbCelsius.Text = Celsius.ToString();
      }
      catch (FormatException)
      { MessageBox.Show("A megadott adat hibás!");
      }
      catch (System.Net.WebException we)
      { MessageBox.Show(we.Message);
      }   

    }
  }
}
